[package]
name = "triangle"
version = "0.1.0"
edition = "2021"
authors = ["chroma@zangoose.io"]

[dependencies]
thiserror = "^1.0"
derive_more = "^0.99.16"
anyhow = "^1.0.45"
structopt = "^0.3.25"
winit = "0.28.7"
serde = {version = "1.0.188", features = ["derive"]}
serde_json = "1.0.107"
vulkano = "0.33.0"
vulkano-win = "0.33.0"
vulkano-shaders = "0.33.0"

[[bin]]
path = "src/main.rs"
name = "triangle-cli"
